bugSimulavr: an AVR simulator - Bugs: bug #35594, Build fails with swig 2.0.4

 
 

bug #35594: Build fails with swig 2.0.4

Submitted by:  None
Submitted on:  Thu 23 Feb 2012 04:23:21 AM UTC  
 
Category: ConfigureSeverity: 3 - Normal
Item Group: NoneStatus: Fixed
Privacy: PublicAssigned to: Thomas K. <tomk>
Originator Email: -unavailable-Open/Closed: Closed
Component Version: simulavr

Add a New Comment (Rich MarkupRich Markup):
   

You are not logged in

Please log in, so followups can be emailed to you.

 

Mon 20 May 2013 02:58:36 PM UTC, comment #2:

I could run actual sources with swig 2.0.8 and also 1.x.x versions on older systems. I think the bugs are already fixed.

If there are still problems with building wrappers, please reopen this entry or add a new one.

Klaus Rudolph <zfrdh>
Project Administrator
Thu 23 Feb 2012 06:37:29 PM UTC, comment #1:

Hi Ivan,

the error message is a little bit unclear. :-) In the moment there is a strict binding to swig 1.3.x. (but at least 1.3.18, the latest is 1.3.40) In the moment I don't know, what's happen, if you try to use swig 2.0.x. (by the way, there was also a message on mailinglist in december 2010 for that, see archive)

There is nothing to find about migration from swig 1.3.x to 2.0.x in net. You COULD try (if you want to try this!) to edit in configure.ac the line "AC_PROG_SWIG(1.3.18)" to "AC_PROG_SWIG(2.0.0)" and then run bootstrap and configure again. MAYBE it works!!! I know, that I got a problem in windows with msys, but this could be a problem connected with a missing lib. (I hadn't time to find it out)

But anyway, it's a hint for mee to add a comment in documentation. And the same could heppen for python. I don't know, what's working or not, if somebody tries to run it with python3.

For the moment not much help, but a task to check it. :-)

cu, Thomas

Thomas K. <tomk>
Project AdministratorIn charge of this item.
Thu 23 Feb 2012 04:23:21 AM UTC, original submission:

When building simulavr with the python interface, the build fails with swig 2.0.4:
Error: SWIG version >= 1.3.18 is required. You have 2.0.4. You should look at http://www.swig.org

See config.log attached

Anonymous

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach File(s):
   
   
Comment:
   

Attached Files
file #25126:  config.log added by None (42kB - text/x-log)

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -unavailable- added by zfrdh (Posted a comment)
  • -unavailable- added by tomk (Posted a comment)
  •  

    Do you think this task is very important?
    If so, you can click here to add your encouragement to it.
    This task has 0 encouragements so far.

    Only logged-in users can vote.

     

    Please enter the title of George Orwell's famous dystopian book (it's a date):

     

     

    Follow 5 latest changes.

    Date Changed By Updated Field Previous Value => Replaced By
    Mon 20 May 2013 02:58:36 PM UTCzfrdhStatusPostponed=>Fixed
      Open/ClosedOpen=>Closed
    Thu 23 Feb 2012 06:37:29 PM UTCtomkStatusNone=>Postponed
      Assigned toNone=>tomk
    Thu 23 Feb 2012 04:23:21 AM UTCNoneAttached File-=>Added config.log, #25126

    Back to the top


    Powered by Savane 3.1-cleanup